> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hightouch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Sync sequence status

> Get the status of a sync sequence run.



## OpenAPI

````yaml https://api.hightouch.io/api/swagger.json get /sync-sequences/runs/{syncSequenceRunId}
openapi: 3.0.0
info:
  title: Hightouch API
  version: 1.0.0
  description: Hightouch Public Rest API to access syncs, models, sources and destinations
  contact:
    name: Hightouch
    url: https://hightouch.com
servers:
  - url: https://api.hightouch.com/api/v1
security: []
paths:
  /sync-sequences/runs/{syncSequenceRunId}:
    get:
      summary: Sync sequence status
      description: Get the status of a sync sequence run.
      operationId: GetSyncSequenceRun
      parameters:
        - description: The id of the sync sequence run
          in: path
          name: syncSequenceRunId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncSequenceStatusOutput'
              examples:
                Example 1:
                  value:
                    id: 0cb7da35-1fff-4d4a-bf1b-6534d515e5b5
                    status: done
                    syncRuns:
                      - syncId: 3093
                        status: success
                        finishedAt: '2023-10-17T11:06:01.713+00:00'
                        syncRunId: 6134
                      - syncId: 1960
                        status: warning
                        finishedAt: '2023-10-17T11:06:10.567+00:00'
                        syncRunId: 6148
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateErrorJSON'
      security:
        - bearerAuth: []
components:
  schemas:
    SyncSequenceStatusOutput:
      description: >-
        The status of a given sync sequence run at both a high level and the
        individual

        sync-run level.
      properties:
        id:
          type: string
        status:
          $ref: '#/components/schemas/SyncSequenceRequestStatus'
        syncRuns:
          items:
            properties:
              finishedAt:
                type: string
              syncId:
                type: number
                format: double
              status:
                $ref: '#/components/schemas/SyncRunStatus'
              syncRunId:
                type: number
                format: double
            required:
              - finishedAt
              - syncId
              - status
              - syncRunId
            type: object
          type: array
      required:
        - id
        - status
        - syncRuns
      type: object
      additionalProperties: false
    ValidateErrorJSON:
      properties:
        message:
          type: string
          enum:
            - Validation failed
          nullable: false
        details:
          properties: {}
          additionalProperties: {}
          type: object
      required:
        - message
        - details
      type: object
      additionalProperties: false
    SyncSequenceRequestStatus:
      enum:
        - pending
        - running
        - done
        - failed
        - cancelled
      type: string
    SyncRunStatus:
      description: The status of sync runs
      enum:
        - cancelled
        - failed
        - queued
        - success
        - warning
        - querying
        - processing
        - reporting
        - interrupted
      type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````